Section "ServerLayout"
  Identifier "XFree86 Configured"
  Screen 0 "Screen0" 0 0
  InputDevice "Keyboard0" "CoreKeyboard"
  InputDevice "Touchpad" "SendCoreEvents"
  InputDevice "Nipple" "CorePointer"
  InputDevice "USB Mouse" "SendCoreEvents"
EndSection

Section "ServerFlags"
#  Option "AllowMouseOpenFail" "true"
EndSection

Section "Files"
  RgbPath "/usr/X11R6/lib/X11/rgb"
  ModulePath "/usr/X11R6/lib/modules"
# True type and type1 fonts

    FontPath 	"/usr/X11R6/lib/X11/fonts/misc:unscaled"
    FontPath 	"/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
    FontPath 	"/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
    FontPath 	"/usr/X11R6/lib/X11/fonts/Speedo"
    FontPath 	"/usr/share/fonts/truetype/openoffice"
    FontPath 	"/usr/share/fonts/truetype/ttf-bitstream-vera"
    FontPath 	"/usr/share/fonts/type1/gsfonts"
    FontPath 	"/usr/X11R6/lib/X11/fonts/Type1"
    FontPath 	"/usr/local/share/fonts"
    FontPath 	"/usr/share/fonts"
    FontPath 	"/usr/X11R6/lib/X11/fonts"
    FontPath 	"/usr/share/fonts/truetype"
    FontPath 	"/usr/share/fonts/type1"
    FontPath 	"/usr/share/fonts/truetype/msttcorefonts"
    FontPath 	"/usr/share/fonts/misc"
EndSection

Section "Module"
  Load "ddc"
  Load "GLcore" # disable for official nvidia driver
  Load "dbe"
  Load "dri" # disable for official nvidia driver
  Load "extmod"
  Load "glx"
  Load "bitmap"
  Load "speedo"
  Load "type1"
  Load "freetype"
  Load "record"
  Load "synaptics"
  Load "mouse"
EndSection

Section "InputDevice"
  Identifier "Keyboard0"
  Driver "keyboard"
  Option "CoreKeyboard"
  Option "XkbRules" "xfree86"
  Option "XkbModel" "pc104"
  Option "XkbLayout" "gb"
EndSection

Section "InputDevice"
  Identifier "Touchpad"
  Driver "synaptics"
  Option "Device" "/dev/input/mouse1"
#  Option "Protocol" "event"
  Option "GuestMouseOff" "false"
  Option "Edges" "1900 5400 1800 3900"
  Option "Finger" "25 30"
  Option "MaxTapTime" "180"
  Option "MaxTapMove" "220"
  Option "VertScrollDelta" "100"
  Option "MinSpeed" "0.02"
  Option "MaxSpeed" "0.18"
  Option "AccelFactor" "0.0010"
# Option "CorePointer"
  Option "SendCoreEvents" "true"
EndSection

Section "InputDevice"
  Identifier "Nipple"
  Driver "mouse"
  Option "Protocol" "IMPS/2"
  Option "Device" "/dev/input/mouse2"
# Option "SendCoreEvents" "true"
  Option "CorePointer"
EndSection

Section "InputDevice"
  Identifier "USB Mouse"
  Driver "mouse"
  Option "Protocol" "IMPS/2"
  Option "Device" "/dev/input/mouse1"
  Option "ZAxisMapping" "4 5"
  Option "Buttons" "5"
EndSection

Section "Monitor"
  Identifier   "Monitor0"
  HorizSync    30.0 - 82.0 # Warning: This may fry old Monitors
  VertRefresh  50.0 - 70.0 # Very conservative. May flicker.
  Modeline "640x480"     25.175 640  664  760  800   480  491  493  525 #60Hz
  Modeline "800x600"     40.12  800  848  968 1056   600  601  605  628 #60Hz
  Modeline "1024x768"    75    1024 1048 1184 1328   768  771  777  806 -hsync -vsync
  Modeline "1024x768"    85    1024 1056 1152 1360   768  784  787  823
  ModeLine "1152x864"    65    1152 1168 1384 1480   864  865  875  985 Interlace
  Modeline "1152x864"    92    1152 1208 1368 1474   864  865  875  895
  Modeline "1152x864"   110    1152 1240 1324 1552   864  864  876  908
  Modeline "1152x864"   135    1152 1464 1592 1776   864  864  876  908
  Modeline "1152x864"   137.65 1152 1184 1312 1536   864  866  885  902 -HSync -VSync
  Modeline "1280x1024"   80    1280 1296 1512 1568  1024 1025 1037 1165 Interlace
  Modeline "1280x1024"  110    1280 1328 1512 1712  1024 1025 1028 1054
  Modeline "1280x1024"  126.5  1280 1312 1472 1696  1024 1032 1040 1068 -HSync -VSync
  Modeline "1280x1024"  135    1280 1312 1456 1712  1024 1027 1030 1064
  Modeline "1280x1024"  135    1280 1312 1416 1664  1024 1027 1030 1064
  Modeline "1280x1024"  157.5  1280 1344 1504 1728  1024 1025 1028 1072 +HSync +VSync
  Modeline "1280x1024"  181.75 1280 1312 1440 1696  1024 1031 1046 1072 -HSync -VSync
  Modeline "1400x1050"  129    1400 1464 1656 1960  1050 1051 1054 1100 +HSync +VSync
  Modeline "1600x1200"  162    1600 1664 1856 2160  1200 1201 1204 1250 +HSync +VSync
  Modeline "1600x1200"  189    1600 1664 1856 2160  1200 1201 1204 1250 -HSync -VSync
  Modeline "1600x1200"  202.5  1600 1664 1856 2160  1200 1201 1204 1250 +HSync +VSync
  Modeline "1600x1200"  220    1600 1616 1808 2080  1200 1204 1207 1244 +HSync +VSync
  ModeLine "1800x1440"  230    1800 1896 2088 2392  1440 1441 1444 1490 +HSync +VSync
  ModeLine "1800x1440"  250    1800 1896 2088 2392  1440 1441 1444 1490 +HSync +VSync
EndSection

Section "Device"
Option "sw_cursor"
 #Option "hw_cursor"
 #Option "NoAccel"
 #Option "ShowCache"
 #Option "ShadowFB"
 #Option "UseFBDev"
 #Option "Rotate"
 #Option "NoUseBios" # needed for some Savage cards
 #Option "MonitorLayout" "LVDS, TMDS"
  Option "CloneMode" "1280x1024"
  Option "OverlayOnCRTC2" "on"
  Identifier  "Card0"
  Driver "radeon" 
  VendorName  "ATI Technology"
  BoardName "Radeon Mobility M7 LW"
 #BusID  "PCI:1:0:0"
EndSection

Section "Screen"
  Identifier "Screen0"
  Device "Card0"
  Monitor "Monitor0"
  DefaultColorDepth 16
  SubSection "Display"
  Depth 1
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 4
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 8
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 15
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 16
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 24
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
  SubSection "Display"
  Depth 32
  Modes "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
EndSection

Section "DRI"
  Mode 0666
EndSection
